Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class OutputFormat

    java.lang.Object
      weblogic.apache.xml.serialize.OutputFormat

Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.OutputFormat.

    public class OutputFormat

extends Object

Specifies an output format to control the serializer. Based on the XSLT specification for output format, plus additional parameters. Used to select the suitable serializer and determine how the document should be formatted on output.

The two interesting constructors are:

- `OutputFormat.OutputFormat(String,String,boolean)` creates a format for the specified method (XML, HTML, Text, etc), encoding and indentation
- `OutputFormat.OutputFormat(Document,String,boolean)` creates a format compatible with the document type (XML, HTML, Text, etc), encoding and indentation

See Also:
  `Serializer`, `Method`, `LineSeparator`

Nested Class Summary
`static class` | `OutputFormat.Defaults` Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.OutputFormat.Defaults.
`static class` | `OutputFormat.DTD` Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.OutputFormat.DTD.

Constructor Summary
`OutputFormat()` Deprecated. Constructs a new output format with the default values.
`OutputFormat(Document doc)` Deprecated. Constructs a new output format with the proper method, document type identifiers and media type for the specified document.
`OutputFormat(Document doc, String encoding, boolean indenting)` Deprecated. Constructs a new output format with the proper method, document type identifiers and media type for the specified document, and with the specified encoding.
`OutputFormat(String method, String encoding, boolean indenting)` Deprecated. Constructs a new output format with the default values for the specified method and encoding.

Method Summary
`String[]` | `getCDataElements()` Deprecated. Returns a list of all the elements whose text node children should be output as CDATA, or null if no such elements were specified.
`String` | `getDoctypePublic()` Deprecated. Returns the specified document type public identifier, or null.
`String` | `getDoctypeSystem()` Deprecated. Returns the specified document type system identifier, or null.
`String` | `getEncoding()` Deprecated. Returns the specified encoding.
`EncodingInfo` | `getEncodingInfo()` Deprecated. Returns an `EncodingInfo`instance for the encoding.``
`int` | `getIndent()` Deprecated. Returns the indentation specified.
`boolean` | `getIndenting()` Deprecated. Returns true if indentation was specified.
`char` | `getLastPrintable()` Deprecated. Returns the last printable character based on the selected encoding.
`String` | `getLineSeparator()` Deprecated. Returns a specific line separator to use.
`int` | `getLineWidth()` Deprecated. Return the selected line width for breaking up long lines.
`String` | `getMediaType()` Deprecated. Returns the specified media type, or null.
`String` | `getMethod()` Deprecated. Returns the method specified for this output format.
`String[]` | `getNonEscapingElements()` Deprecated. Returns a list of all the elements whose text node children should be output unescaped (no character references), or null if no such elements were specified.
`boolean` | `getOmitComments()` Deprecated. Returns true if comments should be ommited.
`boolean` | `getOmitDocumentType()` Deprecated. Returns true if the DOCTYPE declaration should be ommited.
`boolean` | `getOmitXMLDeclaration()` Deprecated. Returns true if the XML document declaration should be ommited.
`boolean` | `getPreserveEmptyAttributes()` Deprecated. Returns the preserveEmptyAttribute flag.
`boolean` | `getPreserveSpace()` Deprecated. Returns true if the default behavior for this format is to preserve spaces.
`boolean` | `getStandalone()` Deprecated. Returns true if the document type is standalone.
`String` | `getVersion()` Deprecated. Returns the version for this output method.
`boolean` | `isCDataElement(String tagName)` Deprecated. Returns true if the text node children of the given elements should be output as CDATA.
`boolean` | `isNonEscapingElement(String tagName)` Deprecated. Returns true if the text node children of the given elements should be output unescaped.
`void` | `setCDataElements(String[] cdataElements)` Deprecated. Sets the list of elements for which text node children should be output as CDATA.
`void` | `setDoctype(String publicId, String systemId)` Deprecated. Sets the document type public and system identifiers.
`void` | `setEncoding(EncodingInfo encInfo)` Deprecated. Sets the encoding for this output method with an `EncodingInfo` instance.
`void` | `setEncoding(String encoding)` Deprecated. Sets the encoding for this output method.
`void` | `setIndent(int indent)` Deprecated. Sets the indentation.
`void` | `setIndenting(boolean on)` Deprecated. Sets the indentation on and off.
`void` | `setLineSeparator(String lineSeparator)` Deprecated. Sets the line separator.
`void` | `setLineWidth(int lineWidth)` Deprecated. Sets the line width.
`void` | `setMediaType(String mediaType)` Deprecated. Sets the media type.
`void` | `setMethod(String method)` Deprecated. Sets the method for this output format.
`void` | `setNonEscapingElements(String[] nonEscapingElements)` Deprecated. Sets the list of elements for which text node children should be output unescaped (no character references).
`void` | `setOmitComments(boolean omit)` Deprecated. Sets comment omitting on and off.
`void` | `setOmitDocumentType(boolean omit)` Deprecated. Sets DOCTYPE declaration omitting on and off.
`void` | `setOmitXMLDeclaration(boolean omit)` Deprecated. Sets XML declaration omitting on and off.
`void` | `setPreserveEmptyAttributes(boolean preserve)` Deprecated. Sets the preserveEmptyAttribute flag.
`void` | `setPreserveSpace(boolean preserve)` Deprecated. Sets space preserving as the default behavior.
`void` | `setStandalone(boolean standalone)` Deprecated. Sets document DTD standalone.
`void` | `setVersion(String version)` Deprecated. Sets the version for this output method.
`static String` | `whichDoctypePublic(Document doc)` Deprecated. Returns the document type public identifier specified for this document, or null.
`static String` | `whichDoctypeSystem(Document doc)` Deprecated. Returns the document type system identifier specified for this document, or null.
`static String` | `whichMediaType(String method)` Deprecated. Returns the suitable media format for a document output with the specified method.
`static String` | `whichMethod(Document doc)` Deprecated. Determine the output method for the specified document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputFormat

    public OutputFormat()

  Deprecated.
  Constructs a new output format with the default values.

### OutputFormat

    public OutputFormat(String method,
                        String encoding,
                        boolean indenting)

  Deprecated.
  Constructs a new output format with the default values for the specified method and encoding. If `indent` is true, the document will be pretty printed with the default indentation level and default line wrapping.

  Parameters:
    `method` - The specified output method
    `encoding` - The specified encoding
    `indenting` - True for pretty printing
  See Also:
    `OutputFormat.setEncoding(java.lang.String)`, `OutputFormat.setIndenting(boolean)`, `OutputFormat.setMethod(java.lang.String)`

### OutputFormat

    public OutputFormat(Document doc)

  Deprecated.
  Constructs a new output format with the proper method, document type identifiers and media type for the specified document.

  Parameters:
    `doc` - The document to output
  See Also:
    `OutputFormat.whichMethod(org.w3c.dom.Document)`

### OutputFormat

    public OutputFormat(Document doc,
                        String encoding,
                        boolean indenting)

  Deprecated.
  Constructs a new output format with the proper method, document type identifiers and media type for the specified document, and with the specified encoding. If `indent` is true, the document will be pretty printed with the default indentation level and default line wrapping.

  Parameters:
    `doc` - The document to output
    `encoding` - The specified encoding
    `indenting` - True for pretty printing
  See Also:
    `OutputFormat.setEncoding(java.lang.String)`, `OutputFormat.setIndenting(boolean)`, `OutputFormat.whichMethod(org.w3c.dom.Document)`

Method Detail

### getMethod

    public String getMethod()

  Deprecated.
  Returns the method specified for this output format. Typically the method will be `xml`, `html` or `text`, but it might be other values. If no method was specified, null will be returned and the most suitable method will be determined for the document by calling `OutputFormat.whichMethod(org.w3c.dom.Document)`.

  Returns:
    The specified output method, or null

### setMethod

    public void setMethod(String method)

  Deprecated.
  Sets the method for this output format.

  Parameters:
    `method` - The output method, or null
  See Also:
    `OutputFormat.getMethod()`

### getVersion

    public String getVersion()

  Deprecated.
  Returns the version for this output method. If no version was specified, will return null and the default version number will be used. If the serializerr does not support that particular version, it should default to a supported version.

  Returns:
    The specified method version, or null

### setVersion

    public void setVersion(String version)

  Deprecated.
  Sets the version for this output method. For XML the value would be "1.0", for HTML it would be "4.0".

  Parameters:
    `version` - The output method version, or null
  See Also:
    `OutputFormat.getVersion()`

### getIndent

    public int getIndent()

  Deprecated.
  Returns the indentation specified. If no indentation was specified, zero is returned and the document should not be indented.

  Returns:
    The indentation or zero
  See Also:
    `OutputFormat.setIndenting(boolean)`

### getIndenting

    public boolean getIndenting()

  Deprecated.
  Returns true if indentation was specified.

### setIndent

    public void setIndent(int indent)

  Deprecated.
  Sets the indentation. The document will not be indented if the indentation is set to zero. Calling `OutputFormat.setIndenting(boolean)` will reset this value to zero (off) or the default (on).

  Parameters:
    `indent` - The indentation, or zero

### setIndenting

    public void setIndenting(boolean on)

  Deprecated.
  Sets the indentation on and off. When set on, the default indentation level and default line wrapping is used (see `OutputFormat.Defaults.Indent` and `OutputFormat.Defaults.LineWidth`). To specify a different indentation level or line wrapping, use `OutputFormat.setIndent(int)` and `OutputFormat.setLineWidth(int)`.

  Parameters:
    `on` - True if indentation should be on

### getEncoding

    public String getEncoding()

  Deprecated.
  Returns the specified encoding. If no encoding was specified, the default is always "UTF-8".

  Returns:
    The encoding

### setEncoding

    public void setEncoding(String encoding)

  Deprecated.
  Sets the encoding for this output method. If no encoding was specified, the default is always "UTF-8". Make sure the encoding is compatible with the one used by the `Writer`.

  Parameters:
    `encoding` - The encoding, or null
  See Also:
    `OutputFormat.getEncoding()`

### setEncoding

    public void setEncoding(EncodingInfo encInfo)

  Deprecated.
  Sets the encoding for this output method with an `EncodingInfo` instance.

### getEncodingInfo

    public EncodingInfo getEncodingInfo()

  Deprecated.
  Returns an `EncodingInfo`instance for the encoding.

  ``
  See Also:
    `OutputFormat.setEncoding(java.lang.String)`

### getMediaType

    public String getMediaType()

  Deprecated.
  Returns the specified media type, or null. To determine the media type based on the document type, use `OutputFormat.whichMediaType(java.lang.String)`.

  Returns:
    The specified media type, or null

### setMediaType

    public void setMediaType(String mediaType)

  Deprecated.
  Sets the media type.

  Parameters:
    `mediaType` - The specified media type
  See Also:
    `OutputFormat.getMediaType()`

### setDoctype

    public void setDoctype(String publicId,
                           String systemId)

  Deprecated.
  Sets the document type public and system identifiers. Required only if the DOM Document or SAX events do not specify the document type, and one must be present in the serialized document. Any document type specified by the DOM Document or SAX events will override these values.

  Parameters:
    `publicId` - The public identifier, or null
    `systemId` - The system identifier, or null

### getDoctypePublic

    public String getDoctypePublic()

  Deprecated.
  Returns the specified document type public identifier, or null.

### getDoctypeSystem

    public String getDoctypeSystem()

  Deprecated.
  Returns the specified document type system identifier, or null.

### getOmitComments

    public boolean getOmitComments()

  Deprecated.
  Returns true if comments should be ommited. The default is false.

### setOmitComments

    public void setOmitComments(boolean omit)

  Deprecated.
  Sets comment omitting on and off.

  Parameters:
    `omit` - True if comments should be ommited

### getOmitDocumentType

    public boolean getOmitDocumentType()

  Deprecated.
  Returns true if the DOCTYPE declaration should be ommited. The default is false.

### setOmitDocumentType

    public void setOmitDocumentType(boolean omit)

  Deprecated.
  Sets DOCTYPE declaration omitting on and off.

  Parameters:
    `omit` - True if DOCTYPE declaration should be ommited

### getOmitXMLDeclaration

    public boolean getOmitXMLDeclaration()

  Deprecated.
  Returns true if the XML document declaration should be ommited. The default is false.

### setOmitXMLDeclaration

    public void setOmitXMLDeclaration(boolean omit)

  Deprecated.
  Sets XML declaration omitting on and off.

  Parameters:
    `omit` - True if XML declaration should be ommited

### getStandalone

    public boolean getStandalone()

  Deprecated.
  Returns true if the document type is standalone. The default is false.

### setStandalone

    public void setStandalone(boolean standalone)

  Deprecated.
  Sets document DTD standalone. The public and system identifiers must be null for the document to be serialized as standalone.

  Parameters:
    `standalone` - True if document DTD is standalone

### getCDataElements

    public String[] getCDataElements()

  Deprecated.
  Returns a list of all the elements whose text node children should be output as CDATA, or null if no such elements were specified.

### isCDataElement

    public boolean isCDataElement(String tagName)

  Deprecated.
  Returns true if the text node children of the given elements should be output as CDATA.

  Parameters:
    `tagName` - The element's tag name
  Returns:
    True if should serialize as CDATA

### setCDataElements

    public void setCDataElements(String[] cdataElements)

  Deprecated.
  Sets the list of elements for which text node children should be output as CDATA.

  Parameters:
    `cdataElements` - List of CDATA element tag names

### getNonEscapingElements

    public String[] getNonEscapingElements()

  Deprecated.
  Returns a list of all the elements whose text node children should be output unescaped (no character references), or null if no such elements were specified.

### isNonEscapingElement

    public boolean isNonEscapingElement(String tagName)

  Deprecated.
  Returns true if the text node children of the given elements should be output unescaped.

  Parameters:
    `tagName` - The element's tag name
  Returns:
    True if should serialize unescaped

### setNonEscapingElements

    public void setNonEscapingElements(String[] nonEscapingElements)

  Deprecated.
  Sets the list of elements for which text node children should be output unescaped (no character references).

  Parameters:
    `nonEscapingElements` - List of unescaped element tag names

### getLineSeparator

    public String getLineSeparator()

  Deprecated.
  Returns a specific line separator to use. The default is the Web line separator (`\n`). A string is returned to support double codes (CR + LF).

  Returns:
    The specified line separator

### setLineSeparator

    public void setLineSeparator(String lineSeparator)

  Deprecated.
  Sets the line separator. The default is the Web line separator (`\n`). The machine's line separator can be obtained from the system property `line.separator`, but is only useful if the document is edited on machines of the same type. For general documents, use the Web line separator.

  Parameters:
    `lineSeparator` - The specified line separator

### getPreserveSpace

    public boolean getPreserveSpace()

  Deprecated.
  Returns true if the default behavior for this format is to preserve spaces. All elements that do not specify otherwise or specify the default behavior will be formatted based on this rule. All elements that specify space preserving will always preserve space.

### setPreserveSpace

    public void setPreserveSpace(boolean preserve)

  Deprecated.
  Sets space preserving as the default behavior. The default is space stripping and all elements that do not specify otherwise or use the default value will not preserve spaces.

  Parameters:
    `preserve` - True if spaces should be preserved

### getLineWidth

    public int getLineWidth()

  Deprecated.
  Return the selected line width for breaking up long lines. When indenting, and only when indenting, long lines will be broken at space boundaries based on this line width. No line wrapping occurs if this value is zero.

### setLineWidth

    public void setLineWidth(int lineWidth)

  Deprecated.
  Sets the line width. If zero then no line wrapping will occur. Calling `OutputFormat.setIndenting(boolean)` will reset this value to zero (off) or the default (on).

  Parameters:
    `lineWidth` - The line width to use, zero for default
  See Also:
    `OutputFormat.getLineWidth()`, `OutputFormat.setIndenting(boolean)`

### getPreserveEmptyAttributes

    public boolean getPreserveEmptyAttributes()

  Deprecated.
  Returns the preserveEmptyAttribute flag. If flag is false, then' attributes with empty string values are output as the attribute name only (in HTML mode).

  Returns:
    preserve the preserve flag

### setPreserveEmptyAttributes

    public void setPreserveEmptyAttributes(boolean preserve)

  Deprecated.
  Sets the preserveEmptyAttribute flag. If flag is false, then' attributes with empty string values are output as the attribute name only (in HTML mode).

  Parameters:
    `preserve` - the preserve flag

### getLastPrintable

    public char getLastPrintable()

  Deprecated.
  Returns the last printable character based on the selected encoding. Control characters and non-printable characters are always printed as character references.

### whichMethod

    public static String whichMethod(Document doc)

  Deprecated.
  Determine the output method for the specified document. If the document is an instance of `HTMLDocument` then the method is said to be `html`. If the root element is 'html' and all text nodes preceding the root element are all whitespace, then the method is said to be `html`. Otherwise the method is `xml`.

  Parameters:
    `doc` - The document to check
  Returns:
    The suitable method

### whichDoctypePublic

    public static String whichDoctypePublic(Document doc)

  Deprecated.
  Returns the document type public identifier specified for this document, or null.

### whichDoctypeSystem

    public static String whichDoctypeSystem(Document doc)

  Deprecated.
  Returns the document type system identifier specified for this document, or null.

### whichMediaType

    public static String whichMediaType(String method)

  Deprecated.
  Returns the suitable media format for a document output with the specified method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD